/* DESCRIPTION
 * Exemple de 'sketch' pour contrôler 2 relais   (broche 4 et 5)
 * http://www.mysensors.org/build/relay
 */

// Activer les sorties de débogage sur le moniteur série
#define MY_DEBUG
// Activer et sélectionner le type de radio attaché
#define MY_RADIO_RF24
#include <MySensors.h>

#define RELAY_PIN 4  // Numéro de broche Digital pour le premier relais (le deuxième sur la broche + 1, etc.)
#define NUMBER_OF_RELAYS 2 // Nombre total de relais connectés
#define RELAY_ON 1  // Valeur à écrire pour activer le relais connecté
#define RELAY_OFF 0  // Valeur GPIO à écrire pour désactiver le relais connecté

void before()
{
	for (int sensor=1, pin=RELAY_PIN; sensor<=NUMBER_OF_RELAYS; sensor++, pin++) {
		pinMode(pin, OUTPUT);// Mettre les broches de relais en mode sortie
		digitalWrite(pin,RELAY_OFF);
	}
}

void presentation()
{
	// Envoyer les informations à la passerelle et au contrôleur
	sendSketchInfo("Relais ", "1.0");
	for (int sensor=1, pin=RELAY_PIN; sensor<=NUMBER_OF_RELAYS; sensor++, pin++) {
	// Enregistrer tous les capteurs  (ils seront créés en tant que dispositifs enfants)
		present(sensor, S_BINARY);
	}
}

void loop()
{

}

void receive(const MyMessage &message)
{
	// Nous n'attendons qu'un seul type de message du contrôleur. Mais nous ferions mieux de vérifier de toute façon.
	if (message.getType()==V_STATUS) {
		// Changer l'état du relais
		digitalWrite(message.getSensor()-1+RELAY_PIN, message.getBool()?RELAY_ON:RELAY_OFF);
		// Écrire des informations de débogage
		Serial.print("Changement entrant : pour le capteur:");
		Serial.print(message.getSensor());
		Serial.print(", Nouveau statut : ");
		Serial.println(message.getBool());
	}
}
