#define MY_DEBUG
#define MY_RADIO_RF24    

#include <MySensors.h>
#include "Adafruit_MCP9808.h"
// Create the MCP9808 temperature sensor object
Adafruit_MCP9808 tempsensor = Adafruit_MCP9808();

#define OPEN 1
#define CLOSE 0
#define CHILD_ID_PORTE 0
#define CHILD_ID_LIGHT 1
#define CHILD_ID_TEMP 2

#define LIGHT_SENSOR_ANALOG_PIN 0

MyMessage msgPorte(CHILD_ID_PORTE, V_TRIPPED);   //message porte
MyMessage msgLum(CHILD_ID_LIGHT, V_LIGHT_LEVEL);  //message luminosité
MyMessage msgTemp(CHILD_ID_TEMP, V_TEMP);  //message température
uint8_t value = OPEN;

void presentation()     // 
{
  sendSketchInfo("Simul porte, temp 9808 et lum", "0.4");
  present(CHILD_ID_PORTE, S_DOOR);
  present(CHILD_ID_LIGHT, S_LIGHT_LEVEL);
  present(CHILD_ID_TEMP, S_TEMP);
}

void before()
{
  if (!tempsensor.begin(0x18)) {
    Serial.println("Couldn't find MCP9808! Check your connections and verify the address is correct.");
  }
  Serial.println("Found MCP9808!");
  tempsensor.setResolution(2);   // 0.125
}

void loop()
{
  Serial.println("wake up MCP9808.... "); // wake up MCP9808 - power consumption ~200 mikro Ampere
  tempsensor.wake();   // wake up, ready to read!
  
  value = value == OPEN ? CLOSE : OPEN;
  int cptLight=analogRead(LIGHT_SENSOR_ANALOG_PIN); 
  //Serial.println(cptLight);   // valeur maxi mesurée 760
  int16_t lightLevel = cptLight/7.6;  //en %
  float tempC = tempsensor.readTempC();
  
  send(msgPorte.setSensor(CHILD_ID_PORTE).set(value));
  send(msgLum.setSensor(CHILD_ID_LIGHT).set(lightLevel));

  send(msgTemp.setSensor(CHILD_ID_TEMP).set(tempC,1));
  
  tempsensor.shutdown_wake(1); // shutdown MSP9808 - power consumption ~0.1 mikro Ampere, stops temperature sampling
  sleep(5000);
}
